﻿---

[[toc]]

---

# Инструментарий crwkit

Инструментарий **crwkit** - это набор служебных программ для пакета **CRW-DAQ** группы **DaqGroup**.

Он расположен (логически) в папке **[/opt/crwkit](/opt/crwkit/)**.  
Это постоянная ссылка на физическую папку
**[/opt/daqgroup/suite/crwkit](/opt/daqgroup/suite/crwkit/)**,
положение которой может измениться со временем.

В набор **crwkit** входят программы, нужные для работы пакета **CRW-DAQ**,
но (возможно) имеющие и самостоятельный интерес.

---

## Обертка: unix = crwkit = crwrun

Все программы набора **crwkit** доступны через программу - **обертку**,  
имеющую следующие названия - синонимы: **unix**, **crwkit**, **crwrun**.  
Любая другая программа набора **crwkit** вызывается через эту обертку,  
например:

``` bash
unix dimsrv
crwrun dimtree
crwkit dimStat
```

Такое наименование возникло исторически. Сначала под **Windows** был создан пакет **UnixUtils**,
который вкключал программу-обертку **unix** и служил для добавления некоторых команд **UNIX**
в среде **Windows**. Затем при переходе под **Linux** пакет **UnixUtils** был переименован
в **crwkit**, но команду **unix** было решено оставить для совместимости с первоначальной
версией **UnixUtils**. Команда **crwrun** была добавлена для удобства.
Важно, что все три команды (**unix**, **crwkit**, **crwrun**) являются синонимами
и делаают в точности одно и то же. Конкретную обертку можно выбирать из соображений
удобства и улучшения читабельности сценариев обработки.

---

## Опции программы-обертки crwkit

Использование программы:

``` bash
unix   [-options] [command [arguments]]
crwrun [-options] [command [arguments]]
crwkit [-options] [command [arguments]]
```
Опции могут иметь короткую форму (**-h**) или длинную (**--help**).

| Опция             | Описание                                              |
|-------------------|-------------------------------------------------------|
| --version         | Печатает версию программы.                            |
| --copyright       | Печатает авторские права.                             |
| -h или --help     | Печатает справку.                                     |
| -l или --list     | Печатает список доступных команд.                     |
| -m или --manual   | Открывает эту инструкцию по **crwkit**.               |
| -c или --command  | Считать следующие аргументы командой для исполнения.  |

---

## Команды набора crwkit (таблица)

| Команда                   | Описание                                                                                 |
|---------------------------|------------------------------------------------------------------------------------------|
| **crwrun.sh**             | В данной версии - это программа-обертка **crwkit**.                                      |
| **crwkit_root**           | Печатает путь домашней папки расположения **crwkit**.                                    |
| **unixroot**              | Печатает путь домашней папки расположения **crwkit**.                                    |
| **path**                  | Печатает пути **$PATH** поиска программ **crwkit**.                                      |
| **lsuart**                | Печатает список доступных **COM** портов.                                                |
|                           |                                                                                          |
| **checkDimServers**       | Проверяет число **DIM** серверов в сети.                                                 |
| **checkDns**              | Проверяет доступность **DIM DNS** сервера в сети.                                        |
| **did**                   | Программа просмотра (_display DIM_) сервисов **DIM**.                                    |
| **dim_demotest_client**   | Программа тестирования **DIM** (клиент).                                                 |
| **dim_demotest_server**   | Программа тестирования **DIM** (сервер).                                                 |
| **DimBridge**             | Программа-мост для **DIM** передачи данных **DIM**.                                      |
| **dim-cpl**               | Программа - Центр Управления для настройки **DIM**.                                      |
| **dimsrv**                | Сервер для публикации данных и связи по сети **DIM**.                                    |
| **dimStat**               | Программа анализа статистики траффика в сети **DIM**.                                    |
| **dimstatgui**            | Графическая оболочка для удобства вызова **dimStat**.                                    |
| **dimmonitor**            | Графическая программа для мониторирования **DIM**.                                       |
| **dimtree**               | Программа просмотра данных (браузер) в сети **DIM**.                                     |
| **dns**                   | Программа - сервер имен **DNS** в сети **DIM**.                                          |
| **textmetadata**          | Программа проверки контрольных сумм конфиг.файлов.                                       |
| **say**                   | Синоним **speak**.                                                                       |
| **speak**                 | Программа речевого синтезатора на базе **RHVoice**.                                      |
| **speaker**               | Синоним **speak**.                                                                       |
| **barbmp**                | Программа рисует прямоугольник в файл (_bar bitmap_).                                    |
| **ledbmp**                | Рисует прямоугольник с текстом в файл (_LED bitmap_).                                    |
| **sercat**                | **serial cat** - консольный терминал **COM** портов.                                     |
| **sercatgui**             | **sercat GUI** - графический терминал **COM** портов.                                    |
| **smigengui**             | **Smi Generic GUI** - графическая утилита управления Конечными Автоматами **SMI FSM**.   |
| **smiproxy**              | **Smi Proxy** - сервер прокси для Конечных Автоматов **SMI FSM** в пакете **CRW-DAQ**.   |
| **smiuisrv**              | **SmiUI Srv** - сервер контроля Конечных Автоматов **SMI FSM** в пакете **CRW-DAQ**.     |
| **uartterminalgui**       | **UART Terminal GUI** - графический терминал **COM** портов, как в пакете **CRW-DAQ**.   |
| **fixeol**                | Исправляет (_fix_) разделители строк (_eol=end of line_) в заданных текстовых файлах.    |
| **fixeolzen**             | Графическая оболочка на основе **zenity** для программы **fixeol**.                      |
| **fixutf8**               | Исправляет (_fix_) формат заданных текстовых файлов, приводя кодировку к **UTF8**.       |
| **fixeolzen**             | Графическая оболочка на основе **zenity** для программы **fixeol**.                      |
| **lister**                | Программа для просмотра текстовых файлов и документов (для совместимости).               |
| **grun**                  | Программа для запуска других программ в различных режимах (_general run_).               |
| **pipeterm**              | Программа терминала (_pipe terminal_) для всех видов каналов (_task,pipe,tcp,com_).      |
| **borndefunct**           | Программа порождает (_born_) мертвый (_defunct_) зомби (_zombie_) процесс для тестов.    |
| **psdefunct**             | Показывает (как _ps_) мертвые (_defunct_) зомби (_zombie_) процессы для диагностики.     |
| **simpleipcsend**         | Посылка сообщения через простой канал **IPC** (_simple IPC send_) для связи процессов.   |
| **simpleipcrecv**         | Прием сообщений через простой канал **IPC** (_simple IPC receiver_) для связи процессов. |
|                           |                                                                                          |

---

Успешного вам использования инструментария **crwkit**!

---

> CRW-DAQ Copyright (c) 2001-2023 Alexey Kuryakin daqgroup@mail.ru

---
