////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2001-2023 Alexey Kuryakin daqgroup@mail.ru under MIT license //
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// This file is part of the CRW-DAQ project by DaqGroup - component CRWKIT.   //
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Purpose:                                                                   //
// Add [TextMetaData] section to INI,CFG files with checksum, date/time etc.  //
// Uses for file integrity checking in CRW-DAQ configurations.                //
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// History:                                                                   //
// 20170222 - Created by A.K.                                                 //
// 20230524 - Modified for FPC (A.K.)                                         //
////////////////////////////////////////////////////////////////////////////////

program textmetadata;

{$I _crw_sysdef}

{$IFDEF FPC}{$mode Delphi}{$ENDIF}{$H+}

{$R textmetadata.res}

uses
 _crw_sharemem, // NB: THIS UNIT MUST BE FIRST !!!
 {$IFDEF UNIX} cthreads, dl, {$ENDIF}
 {$IFDEF WINDOWS} windows, {$ENDIF}
 sysutils, classes,
 _crw_alloc, _crw_meta;

begin
 ExitCode:=TextMetaDataUtility(ParamStr(1),ParamStr(2),ParamStr(3));
end.

//////////////
// END OF FILE
//////////////

